%{!?python_sitelib: %define python_sitelib %(%{__python} -c "from distutils.sysconfig import get_python_lib; print get_python_lib()")}

Name:           pychess
Version:        0.8.2
Release:        1%{?dist}
Summary:        Chess game for GNOME

Group:          Amusements/Games
License:        GPLv2
URL:            http://pychess.googlepages.com/home
Source0:        http://pychess.googlecode.com/files/%{name}-%{version}.tar.gz
Source1:        pychess
Patch0:         pychess-0.8.2-datadir.patch
Patch1:         pychess-0.8.2-gobject.patch
Patch2:         pychess-0.8.2-icons.patch
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
   
BuildArch:      noarch
BuildRequires:  python-devel
BuildRequires:  desktop-file-utils, gettext

Requires:       pygtk2-libglade, python-sqlite2, pygtksourceview
Requires:       gnome-icon-theme gnome-settings-daemon

%description
PyChess is a GTK+ chess game for Linux. It is designed to at the same time
be easy to use, beautiful to look at, and provide advanced functions for
advanced players.


%prep
%setup -q
%patch0 -p1 -b .datadir
%patch1 -p1 -b .gobject
%patch2 -p1 -b .icons

# Fix text files
for i in AUTHORS README; do
    sed -i 's|\r||' "$i"
done

iconv -f ISO88591 -t UTF8 AUTHORS -o AUTHORS

# strip shebang from files not meant to be run
cd lib/pychess
for i in Utils/Move.py Players/PyChess.py; do
    sed -i '1d' "$i"
done


%build
%{__python} setup.py build


%install
rm -rf $RPM_BUILD_ROOT
%{__python} setup.py install -O1 --skip-build --root $RPM_BUILD_ROOT

# move binary to make place for our wrapper
mv $RPM_BUILD_ROOT%{_bindir}/pychess $RPM_BUILD_ROOT%{_bindir}/pychess.real
cp -p %{SOURCE1} $RPM_BUILD_ROOT%{_bindir}

desktop-file-install --vendor fedora --delete-original  \
        --dir $RPM_BUILD_ROOT%{_datadir}/applications   \
        --remove-category Application \
        $RPM_BUILD_ROOT%{_datadir}/applications/%{name}.desktop

%find_lang %{name}
 
%clean
rm -rf $RPM_BUILD_ROOT


%files -f %{name}.lang
%defattr(-,root,root,-)
%doc README LICENSE AUTHORS 
%{python_sitelib}/*
%{_bindir}/*
%{_datadir}/pychess
%{_datadir}/gtksourceview-1.0/language-specs/pgn.lang
%{_datadir}/applications/*
%{_datadir}/icons/hicolor/*/apps/*
%{_datadir}/pixmaps/*
%{_mandir}/man?/*

%changelog
* Tue Aug 26 2008 Michel Salim <salimma@fedoraproject.org> - 0.8.2-1
- Update to 0.8.2

* Mon Mar 17 2008 Sindre Pedersen Bjørdal <sindrepb@fedoraproject.org> - 0.8-2
- Bump release

* Tue Feb 21 2008 Sindre Pedersen Bjordal <foolish@guezz.net> - 0.8-1
- Final 0.8 release

* Mon Dec  3 2007 Michel Salim <michel.sylvan@gmail.com> - 0.8-0.1.beta2
- Update to 0.8beta2

* Sun Nov 11 2007 Michel Salim <michel.sylvan@gmail.com> - 0.8-0.1.beta1
- Update to 0.8beta1

* Thu Apr 19 2007 Sindre Pedersen Bjørdal <foolish[AT]guezz.net> - 0.6.0-1
- Update to 0.6.0 final

* Sun Jan 14 2007 Sindre Pedersen Bjørdal <foolish[AT]guezz.net> - 0.6.0-0.3.beta5
- Update description

* Sun Jan 14 2007 Sindre Pedersen Bjørdal <foolish[AT]guezz.net> - 0.6.0-0.2.beta5
- Fix permissions
- Fix quiet %%setup

* Sun Jan 14 2007 Sindre Pedersen Bjørdal <foolish[AT]guezz.net> - 0.6.0-0.1.beta5
- Initial build
